##
##  sshfp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         sshfp
Summary:      Secure Shell (SSH) FingerPrint (FP) DNS RR Generator
URL:          https://github.com/xelerance/sshfp/releases
Vendor:       P. Wouters & J. Appelbaum
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        SSH
License:      GPL
Version:      1.2.2
Release:      20160323

#   list of sources
Source0:      https://github.com/xelerance/sshfp/archive/%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python, python-net
PreReq:       OpenPKG, openpkg >= 20160101, python, python-net

%description
    SSHFP is a small utility for generating RFC4255 compliant Secure
    Shell (SSH) FingerPrint (FP) Resource Records (RR) for the Domain
    Name System (DNS) based on the SSH public keys stored in a
    "known_hosts" file or SSH public keys which can be obtained by using
    ssh-keyscan(1). If the DNS server of a DNS zone allows zone tranfers
    (AXFR), an entire zone can be processed for all its A records.

%track
    prog sshfp = {
        version   = %{version}
        url       = https://github.com/xelerance/sshfp/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        -e 's;#!/usr/bin/python;#!%{l_prefix}/bin/python;' \
        sshfp $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        sshfp.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

